<center>
  <form method="post">
    {% csrf_token %}
    <input id="name" placeholder="nickname"/>
    <br>
    <input id="email" value="{{email}}" disabled/>
    <br>
    <input id="password" placeholder="password" type="password"/>
    <br>
    <input id="confirm_password" placeholder="confirm password" type="password"/>
    <br>
    <button id="login" type="button" onclick="execute()">Login</button>
  </form>
</center>

<script src="/static/js/crypto.min.js"></script>
<script src="/static/js/jquery.js"></script>
<script src="/static/js/redirect.js"></script>
<script>

function execute()
{
  var email = "{{email}}"
  var password = document.getElementById('password').value
  var nickname =  document.getElementById('name').value

  if (document.getElementById('confirm_password').value !== password)
  {
    window.alert('Password don\'t match');
    return
  }

  if (document.getElementById('confirm_password').value.length < 8)
  {
    window.alert('Password must be at least 8 characters long');
    return
  }

  var hash = sha256(password + email)

  $.redirect("/signup",
    {
      'token' : "{{token}}",
      'hash'  : hash,
      'name'  : nickname,
      csrfmiddlewaretoken: document.getElementsByName('csrfmiddlewaretoken')[0].value
    });
}

$("#confirm_password").keyup(function(event)
    {
      if(event.keyCode == 13){
        $("#login").click();
      }
    });

</script>

